#include "rte_VFControl_parameters.h"
#include "PWMGenerator.h"
#include "VFControl.h"
#include "PWMGenerator_cal.h"
#include "VFControl_cal.h"

extern PWMGenerator_cal_type PWMGenerator_cal_impl;
extern VFControl_cal_type VFControl_cal_impl;
namespace slrealtime
{
  /* Description of SEGMENTS */
  SegmentVector segmentInfo {
    { (void*)&VFControl_cal_impl, (void**)&VFControl_cal, sizeof
      (VFControl_cal_type), 2 },

    { (void*)&PWMGenerator_cal_impl, (void**)&PWMGenerator_cal, sizeof
      (PWMGenerator_cal_type), 2 }
  };

  SegmentVector &getSegmentVector(void)
  {
    return segmentInfo;
  }
}                                      // slrealtime
